SoPointDetail(3IV)

NAME
SoPointDetail — stores detail information about vertex-based shapes made of points

INHERITS FROM
SoDetail > SoPointDetail

SYNOPSIS
#include <Inventor/details/SoPointDetail.h>

Methods from class SoPointDetail:

SoPointDetail()
virtual
~SoPointDetail()
int32_t
getCoordinateIndex() const
int32_t
getMaterialIndex() const
int32_t
getNormalIndex() const
int32_t
getTextureCoordIndex() const

Methods from class SoDetail:

SoDetail *
copy() const
static SoType
getClassTypeId()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point in a vertex-based shape made of points. It is used for returning information about an intersection with or primitives generated by a set of points. It is also used by SoFaceDetail and SoLineDetail to return information about the vertices of faces and line segments.

METHODS

SoPointDetail()
virtual
~SoPointDetail()
Constructor and destructor.

int32_t
getCoordinateIndex() const
Returns the index of the point within the relevant coordinate node.

int32_t
getMaterialIndex() const
Returns the index of the material for the point within the relevant material node.

int32_t
getNormalIndex() const
Returns the index of the surface normal at the point within the relevant normal node. Note that if normals have been generated for a shape, the index may not be into an existing normal node.

int32_t
getTextureCoordIndex() const
Returns the index of the texture coordinates for the point within the relevant normal node. Note that if texture coordinates have been generated for a shape, the index may not be into an existing texture coordinate node.

SEE ALSO
SoDetail, SoPickedPoint, SoPrimitiveVertex, SoVertexShape, SoFaceDetail, SoLineDetail